<?


include 'connect.php';

//Только для админов
if($u['admin'] == 1){

switch($_GET['act'])
{

//Жалобы на спам ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'spam':

//Только для админов
if($u['admin'] != 1 || $u['admin'] != 2 ){header ("Location: index.php");
}
if($u['admin'] == 1 || $u['admin'] == 2){

$title = $title.' | Админка';
include 'head.php';
echo '<div class="title">Админка | Жалобы на спам</div>';
echo '<div class="main_menu">';

//Если не наказывать
if(isset($_GET['ok'])){
$ok = num($_GET['ok']);
$req = mysql_query("SELECT * FROM `spam` WHERE `spamer` = '$ok' LIMIT 1");
     if (mysql_num_rows($req)) {
     mysql_query("DELETE FROM `spam` WHERE `spamer` = '$ok'");
	 echo '<div class = "action">Удалено!</div><hr>';
     }
}

//Сообщений на страницу
$count = 10;

$all = mysql_result(mysql_query("SELECT COUNT(*) FROM `spam`"), 0);
if($all > 0){
$total = intval(($all - 1) / $count) + 1;
$page = num($_GET['page']);
     if(empty($page) or $page < 0) $page = 1; 
     if($page > $total) $page = $total;
$start = $page * $count - $count;
$result = mysql_query("SELECT * FROM `spam` ORDER BY `time` DESC LIMIT $start, $count");
     while($msg = mysql_fetch_assoc($result)){
     $user = mysql_fetch_assoc(mysql_query("SELECT `id`,`login`,`sex`,`admin`,`online` FROM `users` WHERE `id` = '".$msg["user"]."'"));
     $spamer = mysql_fetch_assoc(mysql_query("SELECT `id`,`login`,`sex`,`admin`,`online` FROM `users` WHERE `id` = '".$msg["spamer"]."'"));
     $message = checkout($msg['message']);
     //Вывод
     echo '<div class="block">';
     echo '<table><tr><td>';
     ava($user['id'],50);
     echo '</td><td VALIGN=top>';
     echo ''.ico($user['sex'],$user['admin']).' <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a> '.online($user['online']).''; echo ' ('.vremya($msg['time']).') <a href = "?act=spam&ok='.$spamer['id'].'">Удалить</a>';
     echo '<br>';
     echo 'Пожаловался на спам от пользователя <a href = "page.php?id='.$spamer['id'].'"><b>'.$spamer['login'].'</b></a> за сообщение:<br>';
     echo '<font color = "#000">'.$message.'</font><br>';
     echo '</td></tr></table>';
     echo '</div>';
     }
navigation($page, $total,'?act=spam');
}else{
echo 'Жалоб нет!';
}
echo '</div>';
include 'foot.php';

break;

//Блокировка пользователя ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'ban_users':

$title = $title.' | Админка';
include 'head.php';
echo '<div class="title"><img src= "img/ban.gif"> Блокировка пользователя</div>';
echo '<div class="main_menu">';
//Если id получен 
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `users` WHERE `id` = '$id' LIMIT 1");
if (mysql_num_rows($req))$user = mysql_fetch_assoc($req); else header ("Location: index.php");
} else {header ("Location: index.php");}
   //Нельзя банить админа и себя
   if($user['admin'] == 1 || $user['id'] == $u['id']) {
   echo 'Запрещено!:)';
   } else {
      //Проверяем не забанен ли пользователь
      if(ban($user['id'])) {
	  echo 'Пользователь уже забанен!';
	  } else {
	     if (isset($_POST['submit'])) {
		 $time = num($_POST['time']);
		 $timet = num($_POST['timet']);
		 if($timet == 1) $time = $time*60;
		 if($timet == 2) $time = $time*60*60;
		 if($timet == 3) $time = $time*60*60*24;
		 $message = check(substr($_POST['message'], 0, 1000));
         mysql_query("INSERT INTO `users_ban` SET
         `user` = '".$user['id']."',
         `message` = '$message',
		 `admin` = '".$u['id']."',
         `time` = '".time()."',
		 `time_ban` = '".(time() + $time)."'
         ");
		 echo '<div class = "action">Пользователь: <a href = "page.php?id='.$user['id'].'"><b>'.$user['login'].'</b></a> заблокирован!</div><hr>';
		 } else {
	     echo 'Пользователь: <a href = "page.php?id='.$user['id'].'"><b>'.$user['login'].'</b></a> (ID: '.$user['id'].') '.online($user['online']).'<hr>';
         echo '<form action="admin_panel.php?act=ban_users&id='.$user['id'].'" method=post>';
	     echo 'Время: <input type=text name=time size="2" maxlength=7 value=60>
         <select name="timet">
         <option value="1">минут</option>
         <option value="2">часов</option>
         <option value="3">дней</option>
         </select><hr>';
		 echo 'Сообщение:<br/><textarea cols="17" rows="2" name="message"></textarea><hr>';
	     echo '<input type=submit name="submit" value="Заблокировать" class="submit white"/></form>';
         }
	  }
   }

echo '</div>';
include 'foot.php';

break;

//Разблокировка пользователя ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'delban_users':
//Если id получен 
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `users` WHERE `id` = '$id' LIMIT 1");
if (mysql_num_rows($req))$user = mysql_fetch_assoc($req); else header ("Location: index.php");
} else {header ("Location: index.php");}

$req = mysql_query("SELECT * FROM `users_ban` WHERE `user` = '".$id."' ORDER BY `time_ban` DESC LIMIT 1");
$res = mysql_fetch_assoc($req);
if($res['time_ban'] > time()) {
$title = $title.' | Админка';
include 'head.php';
echo '<div class="title"><img src= "img/ban.gif"> Разлокировка пользователя</div>';
echo '<div class="main_menu">';
      if (isset($_POST['submit'])) {
	  mysql_query("DELETE FROM `users_ban` WHERE `id` = '".$res['id']."'");
	  echo '<div class = "action">Пользователь <a href = "page.php?id='.$user['id'].'"><b>'.$user['login'].'</b></a> разблокирован!</div><hr>';
      } else {
      echo 'Вы уверены, что хотите разбанить пользователя <a href = "page.php?id='.$user['id'].'"><b>'.$user['login'].'</b></a>?';
      echo '<form action="admin_panel.php?act=delban_users&amp;id='.$id.'" method="post">';
      echo '<input type="submit" name="submit" value="Да, разбанить" class="submit white"/>';
      echo '</form>';
      }
echo '</div>';
include 'foot.php';
}

break;
//Главная админки ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
default:
break;
}

}


?>